# Setup

1) Install the dependencies

```sh
npm install
```

2) Build the plugin (before commit / push)

```sh
npm run build
```

# Development

Do the setup first.

1) Watch for changes (during development)

```sh
npm run watch
```

2) Try the plugin in the browser

```sh
python -m http.server 8080
open http://localhost:8080
```

# Public documentation

1) Edit the markdown files in `docs/`

2) Open the HTML

```sh
cd docs
python -m http.server 8080
open http://localhost:8080/docs
```

3) Publish the documentation

Update the `docs/` to the correct S3 bucket.

# NPM publish

1) Build the plugin (before commit / push)

```sh
npm run build
```

2) Publish the plugin

```sh
npm publish
```
